Skip to main content
Test Tool

Authorizations

X-API-Key
string
header
required

Headers

authorization
string | null
X-API-Key
string | null

Path Parameters

tool_uuid
string
required

Body

application/json

Request body for testing an HTTP API tool outside a live call.

llm_params
Llm Params · object

Values for parameters normally supplied by the model.

preset_params
Preset Params · object

Resolved values for parameters normally supplied from presets.

Response

Successful Response

Result of testing an HTTP API tool.

status
string
required
request_method
string
required
request_url
string
required
duration_ms
integer
required
status_code
integer | null
data
unknown
error
string | null
hint
string | null
request_headers
Request Headers · object
request_body
Request Body · object | null
request_params
Request Params · object | null